AnsweredAssumed Answered

Important information if you get errors trying to compile with Keil

Question asked by Billie1123 on May 10, 2015
Latest reply on May 25, 2015 by STM32Cube-T
Hello,

I decided to start a new thread just to inform an issue I have just found out.
I am not the only one who is getting a bunch of errors when trying to compile with Keil a code whose template has been generated via STM32CubeMX.

The explanation can be found here: http://www.keil.com/appnotes/files/apnt_266.pdf

The problem occurs when you have the latest updates installed, and the solution is to install the packages shown in the pdf above. For some reason, the latest keil packs are not supported by STM32 devices, according to the pdf.

I started getting theese errors a month ago. I looked for help but none could give a solution, so I gave up and used waijung blockset instead.
Now someone suggested me upgrading STM32CubeMX to the latest version (released 2 weeks ago) and I saw the errors I got were different. This is how I found that explanation by Keil.

So I have to let this information here as I think it is hard to find and more people are having the same trouble. I would also appreciate it if STM made it notice to users, because in all tutorials by STM the part where the user must install the toolchain seems "a little dark". Even though it is a third-party software it would be useful, in my opinion, more support by STM.

I hope it helps.
Regards.

Outcomes